/**
 * generated by Xtext 2.11.0
 */
package org.eclipse.osbp.dsl.entity.xtext.tests;

import com.google.inject.Inject;
import org.eclipse.osbp.dsl.entity.xtext.tests.EntityGrammarInjectorProvider;
import org.eclipse.osbp.dsl.semantic.entity.LEntityModel;
import org.eclipse.xtend2.lib.StringConcatenation;
import org.eclipse.xtext.testing.InjectWith;
import org.eclipse.xtext.testing.XtextRunner;
import org.eclipse.xtext.testing.util.ParseHelper;
import org.eclipse.xtext.xbase.lib.Exceptions;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(XtextRunner.class)
@InjectWith(EntityGrammarInjectorProvider.class)
@SuppressWarnings("all")
public class EntityGrammarParsingTest {
  @Inject
  private ParseHelper<LEntityModel> parseHelper;
  
  @Test
  public void loadModel() {
    try {
      StringConcatenation _builder = new StringConcatenation();
      _builder.append("Hello Xtext!");
      _builder.newLine();
      final LEntityModel result = this.parseHelper.parse(_builder);
      Assert.assertNotNull(result);
      Assert.assertTrue(result.eResource().getErrors().isEmpty());
    } catch (Throwable _e) {
      throw Exceptions.sneakyThrow(_e);
    }
  }
}
